/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package de.schlund.pfixcore.lucefix.wrappers;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(de.schlund.pfixcore.lucefix.SearchHandler.class)
public class Search extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
         
        IWrapperParamPreCheck  pre;
        
        // Contents
        if(!params.containsKey("Contents")) {
        pinfo  = new IWrapperParam("Contents", false, true, null, "java.lang.String", true);
          
        params.put("Contents", pinfo);
          
        pre = new de.schlund.pfixcore.generator.prechecks.RegexpCheck();
        pinfo.addPreChecker(pre);
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setRegexp("/^[^*?]/");
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setScodeNoMatch("org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN");
    
        }  
        
      
        // Comments
        if(!params.containsKey("Comments")) {
        pinfo  = new IWrapperParam("Comments", false, true, null, "java.lang.String", true);
          
        params.put("Comments", pinfo);
          
        pre = new de.schlund.pfixcore.generator.prechecks.RegexpCheck();
        pinfo.addPreChecker(pre);
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setRegexp("/^[^*?]/");
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setScodeNoMatch("org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN");
    
        }  
        
      
        // Tags
        if(!params.containsKey("Tags")) {
        pinfo  = new IWrapperParam("Tags", false, true, null, "java.lang.String", true);
          
        params.put("Tags", pinfo);
          
        pre = new de.schlund.pfixcore.generator.prechecks.RegexpCheck();
        pinfo.addPreChecker(pre);
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setRegexp("/^[^*?]/");
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setScodeNoMatch("org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN");
    
        }  
        
      
        // Attribkeys
        if(!params.containsKey("Attribkeys")) {
        pinfo  = new IWrapperParam("Attribkeys", false, true, null, "java.lang.String", true);
          
        params.put("Attribkeys", pinfo);
          
        pre = new de.schlund.pfixcore.generator.prechecks.RegexpCheck();
        pinfo.addPreChecker(pre);
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setRegexp("/^[^*?]/");
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setScodeNoMatch("org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN");
    
        }  
        
      
        // Attribvalues
        if(!params.containsKey("Attribvalues")) {
        pinfo  = new IWrapperParam("Attribvalues", false, true, null, "java.lang.String", true);
          
        params.put("Attribvalues", pinfo);
          
        pre = new de.schlund.pfixcore.generator.prechecks.RegexpCheck();
        pinfo.addPreChecker(pre);
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setRegexp("/^[^*?]/");
    
        ((de.schlund.pfixcore.generator.prechecks.RegexpCheck) pre).setScodeNoMatch("org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN");
    
        }  
        
      
        // Doit
        if(!params.containsKey("Doit")) {
        pinfo  = new IWrapperParam("Doit", false, true, null, "java.lang.Boolean", true);
          
        params.put("Doit", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        // Query
        if(!params.containsKey("Query")) {
        pinfo  = new IWrapperParam("Query", false, true, null, "java.lang.String", true);
          
        params.put("Query", pinfo);
          
        }  
        
      
        super.registerParams();
    }
    
    // Contents
    @PreCheck(
        type=de.schlund.pfixcore.generator.prechecks.RegexpCheck.class,
        properties={
            @Property(name="regexp",value="/^[^*?]/"),
            @Property(name="scodeNoMatch",value="org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN")
        }
    )
    public java.lang.String getContents() {
        return (java.lang.String) gimmeParamForKey("Contents").getValue();
    }
    
    public void setStringValContents(String v) {
        gimmeParamForKey("Contents").
          setStringValue(new String[] {v});
    }

    public void setContents(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Contents");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeContents(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Contents"), scode, null, null);
    }

    public void addSCodeContents(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Contents"), scode, args, level);
    }

    /**
      * @deprecated use addScodeContents(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsContents(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Contents"), scode, args, null);
    }
        
    // Comments
    @PreCheck(
        type=de.schlund.pfixcore.generator.prechecks.RegexpCheck.class,
        properties={
            @Property(name="regexp",value="/^[^*?]/"),
            @Property(name="scodeNoMatch",value="org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN")
        }
    )
    public java.lang.String getComments() {
        return (java.lang.String) gimmeParamForKey("Comments").getValue();
    }
    
    public void setStringValComments(String v) {
        gimmeParamForKey("Comments").
          setStringValue(new String[] {v});
    }

    public void setComments(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Comments");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeComments(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Comments"), scode, null, null);
    }

    public void addSCodeComments(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Comments"), scode, args, level);
    }

    /**
      * @deprecated use addScodeComments(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsComments(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Comments"), scode, args, null);
    }
        
    // Tags
    @PreCheck(
        type=de.schlund.pfixcore.generator.prechecks.RegexpCheck.class,
        properties={
            @Property(name="regexp",value="/^[^*?]/"),
            @Property(name="scodeNoMatch",value="org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN")
        }
    )
    public java.lang.String getTags() {
        return (java.lang.String) gimmeParamForKey("Tags").getValue();
    }
    
    public void setStringValTags(String v) {
        gimmeParamForKey("Tags").
          setStringValue(new String[] {v});
    }

    public void setTags(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Tags");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeTags(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Tags"), scode, null, null);
    }

    public void addSCodeTags(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Tags"), scode, args, level);
    }

    /**
      * @deprecated use addScodeTags(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsTags(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Tags"), scode, args, null);
    }
        
    // Attribkeys
    @PreCheck(
        type=de.schlund.pfixcore.generator.prechecks.RegexpCheck.class,
        properties={
            @Property(name="regexp",value="/^[^*?]/"),
            @Property(name="scodeNoMatch",value="org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN")
        }
    )
    public java.lang.String getAttribkeys() {
        return (java.lang.String) gimmeParamForKey("Attribkeys").getValue();
    }
    
    public void setStringValAttribkeys(String v) {
        gimmeParamForKey("Attribkeys").
          setStringValue(new String[] {v});
    }

    public void setAttribkeys(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Attribkeys");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeAttribkeys(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Attribkeys"), scode, null, null);
    }

    public void addSCodeAttribkeys(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Attribkeys"), scode, args, level);
    }

    /**
      * @deprecated use addScodeAttribkeys(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsAttribkeys(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Attribkeys"), scode, args, null);
    }
        
    // Attribvalues
    @PreCheck(
        type=de.schlund.pfixcore.generator.prechecks.RegexpCheck.class,
        properties={
            @Property(name="regexp",value="/^[^*?]/"),
            @Property(name="scodeNoMatch",value="org.pustefixframework.editor.generated.EditorStatusCodes#LUCEFIX_PREFIX_WILDCARD_FORBIDDEN")
        }
    )
    public java.lang.String getAttribvalues() {
        return (java.lang.String) gimmeParamForKey("Attribvalues").getValue();
    }
    
    public void setStringValAttribvalues(String v) {
        gimmeParamForKey("Attribvalues").
          setStringValue(new String[] {v});
    }

    public void setAttribvalues(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Attribvalues");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeAttribvalues(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Attribvalues"), scode, null, null);
    }

    public void addSCodeAttribvalues(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Attribvalues"), scode, args, level);
    }

    /**
      * @deprecated use addScodeAttribvalues(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsAttribvalues(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Attribvalues"), scode, args, null);
    }
        
    // Doit
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getDoit() {
        return (java.lang.Boolean) gimmeParamForKey("Doit").getValue();
    }
    
    public void setStringValDoit(String v) {
        gimmeParamForKey("Doit").
          setStringValue(new String[] {v});
    }

    public void setDoit(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Doit");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeDoit(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Doit"), scode, null, null);
    }

    public void addSCodeDoit(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Doit"), scode, args, level);
    }

    /**
      * @deprecated use addScodeDoit(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsDoit(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Doit"), scode, args, null);
    }
        
    // Query
    public java.lang.String getQuery() {
        return (java.lang.String) gimmeParamForKey("Query").getValue();
    }
    
    public void setStringValQuery(String v) {
        gimmeParamForKey("Query").
          setStringValue(new String[] {v});
    }

    public void setQuery(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Query");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeQuery(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Query"), scode, null, null);
    }

    public void addSCodeQuery(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Query"), scode, args, level);
    }

    /**
      * @deprecated use addScodeQuery(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsQuery(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Query"), scode, args, null);
    }
        
}
  